SuSE 10 安全性更新:Xen (ZYPP 修補程式編號 7703)

medium Nessus Plugin ID 56618

Synopsis

遠端 SuSE 10 主機缺少安全性相關修補程式。

描述

此更新修正了 XEN 中的多種錯誤:

下列安全性問題已修正:

- XEN hypervisor 中的一個拒絕服務 (主機損毀)。
(CVE-2011-2901)

- 在 Xen 於 VM 結束時處理 CPUID 指令模擬的方式中發現一個錯誤。無權限的來賓使用者可能使用此瑕疵來使來賓當機。
(CVE-2011-1936)

- 64 位元來賓可使其中一個 vcpus 進入非核心模式,而無須先提供有效的非核心頁面表格。發現到的失敗模式通常是主機硬鎖定 (主機拒絕服務)。
(CVE-2011-1166)

其也修正了下列錯誤:

- SLES 10 SP3 XEN:裝置 /dev/xvdp 已連線。啟動多個 vm 時發生錯誤。(bnc#654798)

- HVM 轉儲存 vmcore 耗時過久。(bnc#684297)

解決方案

套用 ZYPP 修補程式編號 7703。

另請參閱

http://support.novell.com/security/cve/CVE-2011-1166.html

http://support.novell.com/security/cve/CVE-2011-1936.html

http://support.novell.com/security/cve/CVE-2011-2901.html

Plugin 詳細資訊

嚴重性: Medium

ID: 56618

檔案名稱: suse_xen-201108-7703.nasl

版本: 1.10

類型: local

代理程式: unix

已發布: 2011/10/24

已更新: 2021/1/19

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 4.4

CVSS v2

風險因素: Medium

基本分數: 5.5

媒介: AV:A/AC:L/Au:S/C:N/I:N/A:C

弱點資訊

CPE: cpe:/o:suse:suse_linux

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

修補程式發佈日期: 2011/8/23

參考資訊

CVE: CVE-2011-1166, CVE-2011-1936, CVE-2011-2901